<div class="container">

    <h1 class="container__title">Students</h1>

    <mat-form-field appearance="fill">
      <mat-label>Search:</mat-label>
      <input matInput (keyup)="applyFilter($event)" #input>
    </mat-form-field>

    <button class="container__action" mat-raised-button color="primary" (click)="newStudent()">New Student</button>

    <table mat-table [dataSource]="dataSource" class="mat-elevation-z8">

      <ng-container matColumnDef="name">
        <th mat-header-cell *matHeaderCellDef> Name </th>
        <td mat-cell *matCellDef="let element"> {{element.name || '-'}} </td>
      </ng-container>

      <ng-container matColumnDef="patronus">
        <th mat-header-cell *matHeaderCellDef> Patronus </th>
        <td mat-cell *matCellDef="let element"> {{element.patronus || '-'}} </td>
      </ng-container>

      <ng-container matColumnDef="dateofbirth">
        <th mat-header-cell *matHeaderCellDef> Date Of Birth </th>
        <td mat-cell *matCellDef="let element"> {{element.dateOfBirth || '-'}} </td>
      </ng-container>

      <ng-container matColumnDef="image">
        <th mat-header-cell *matHeaderCellDef> Image </th>
        <td mat-cell *matCellDef="let element">
          <img src="{{element.image}}" class="container__image" (click)="getDetailImage(element)">
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

      <tr class="mat-row" *matNoDataRow>
        <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
      </tr>
    </table>

    <mat-paginator [pageSizeOptions]="[3,5, 10, 20]" showFirstLastButtons></mat-paginator>
</div>
